/*
 * @Author: your name
 * @Date: 2021-12-24 11:36:07
 * @LastEditTime: 2022-01-07 16:22:27
 * @LastEditors: Please set LastEditors
 * @Description: 权限公用
 * @FilePath: \Foshan4A2.0\src\views\authorityManagement\minixs\roleData.js
 */
import { staffList, staffListele } from '@/api/postInterface'

export default {
  data () {
    return {
      dataList: {}
    }
  },
  created () {
    // this.gueryRole()
  },
  methods: {
    //获取列表数据
    async gueryRole (name = '') {
      try {
        const res = await staffList({
          QueryName: name
        })
        if (res.code === 0) {
          const datas = res.returnData
          datas.forEach(item => {
            item.isauto = item.Status == 1 ? true : false
          });
          this.arrs = datas
        } else {
          this.$message.error(res.message)
        }
      } catch (error) {
        console.log('出错了', error)
      }
    },
    //删除职员
    async deleteRole (id) {
      try {
        const res = await staffListele({
          OfficerId: id
        })
        if (res.code === 0) {
          this.flag = false
          this.$message.success(res.message)
          this.gueryRole()
        } else {
          this.flag = false
          this.$message.error(res.message)
        }
      } catch (error) {
        this.flag = false
        console.log('出错了', error)
      }
    }
  }
}
